mediawiki/extensions/UniversalLanguageSelector (REL1_37)

sourcepatches
From e9b81caa484a3d39c6e454b6a014dff9059a6760 Mon Sep 17 00:00:00 2001
From: libraryupgrader <tools.libraryupgrader@tools.wmflabs.org>
Date: Mon, 23 May 2022 18:19:39 +0000
Subject: [PATCH] build: Updating grunt to 1.5.3

Change-Id: I632e516811ddbc2e10c76206da6f4c2cf15c946e
---
 package-lock.json | 49 ++++++++++++++++-------------------------------
 package.json      |  2 +-
 2 files changed, 18 insertions(+), 33 deletions(-)

diff --git a/package-lock.json b/package-lock.json
index dd1750c..0c49d60 100644
--- a/package-lock.json
+++ b/package-lock.json
@@ -7,7 +7,7 @@
 			"name": "UniversalLanguageSelector",
 			"devDependencies": {
 				"eslint-config-wikimedia": "0.20.0",
-				"grunt": "1.4.0",
+				"grunt": "1.5.3",
 				"grunt-banana-checker": "0.9.0",
 				"grunt-eslint": "23.0.0",
 				"grunt-stylelint": "0.16.0",
@@ -2456,9 +2456,9 @@
 			}
 		},
 		"node_modules/grunt": {
-			"version": "1.4.0",
-			"resolved": "https://registry.npmjs.org/grunt/-/grunt-1.4.0.tgz",
-			"integrity": "sha512-yRFc0GVCDu9yxqOFzpuXQ2pEdgtLDnFv5Qz54jfIcNnpJ8Z7B7P7kPkT4VMuRvm+N+QOsI8C4v/Q0DSaoj3LgQ==",
+			"version": "1.5.3",
+			"resolved": "https://registry.npmjs.org/grunt/-/grunt-1.5.3.tgz",
+			"integrity": "sha512-mKwmo4X2d8/4c/BmcOETHek675uOqw0RuA/zy12jaspWqvTp4+ZeQF1W+OTpcbncnaBsfbQJ6l0l4j+Sn/GmaQ==",
 			"dev": true,
 			"dependencies": {
 				"dateformat": "~3.0.3",
@@ -2466,8 +2466,8 @@
 				"exit": "~0.1.2",
 				"findup-sync": "~0.3.0",
 				"glob": "~7.1.6",
-				"grunt-cli": "~1.4.2",
-				"grunt-known-options": "~1.1.1",
+				"grunt-cli": "~1.4.3",
+				"grunt-known-options": "~2.0.0",
 				"grunt-legacy-log": "~3.0.0",
 				"grunt-legacy-util": "~2.0.1",
 				"iconv-lite": "~0.4.13",
@@ -2510,9 +2510,9 @@
 			}
 		},
 		"node_modules/grunt-known-options": {
-			"version": "1.1.1",
-			"resolved": "https://registry.npmjs.org/grunt-known-options/-/grunt-known-options-1.1.1.tgz",
-			"integrity": "sha512-cHwsLqoighpu7TuYj5RonnEuxGVFnztcUqTqp5rXFGYL4OuPFofwC4Ycg7n9fYwvK6F5WbYgeVOwph9Crs2fsQ==",
+			"version": "2.0.0",
+			"resolved": "https://registry.npmjs.org/grunt-known-options/-/grunt-known-options-2.0.0.tgz",
+			"integrity": "sha512-GD7cTz0I4SAede1/+pAbmJRG44zFLPipVtdL9o3vqx9IEyb7b4/Y3s7r6ofI3CchR5GvYJ+8buCSioDv5dQLiA==",
 			"dev": true,
 			"engines": {
 				"node": ">=0.10.0"
@@ -2595,15 +2595,6 @@
 				"node": ">=10"
 			}
 		},
-		"node_modules/grunt/node_modules/grunt-cli/node_modules/grunt-known-options": {
-			"version": "2.0.0",
-			"resolved": "https://registry.npmjs.org/grunt-known-options/-/grunt-known-options-2.0.0.tgz",
-			"integrity": "sha512-GD7cTz0I4SAede1/+pAbmJRG44zFLPipVtdL9o3vqx9IEyb7b4/Y3s7r6ofI3CchR5GvYJ+8buCSioDv5dQLiA==",
-			"dev": true,
-			"engines": {
-				"node": ">=0.10.0"
-			}
-		},
 		"node_modules/grunt/node_modules/grunt-cli/node_modules/nopt": {
 			"version": "4.0.3",
 			"resolved": "https://registry.npmjs.org/nopt/-/nopt-4.0.3.tgz",
@@ -7245,9 +7236,9 @@
 			}
 		},
 		"grunt": {
-			"version": "1.4.0",
-			"resolved": "https://registry.npmjs.org/grunt/-/grunt-1.4.0.tgz",
-			"integrity": "sha512-yRFc0GVCDu9yxqOFzpuXQ2pEdgtLDnFv5Qz54jfIcNnpJ8Z7B7P7kPkT4VMuRvm+N+QOsI8C4v/Q0DSaoj3LgQ==",
+			"version": "1.5.3",
+			"resolved": "https://registry.npmjs.org/grunt/-/grunt-1.5.3.tgz",
+			"integrity": "sha512-mKwmo4X2d8/4c/BmcOETHek675uOqw0RuA/zy12jaspWqvTp4+ZeQF1W+OTpcbncnaBsfbQJ6l0l4j+Sn/GmaQ==",
 			"dev": true,
 			"requires": {
 				"dateformat": "~3.0.3",
@@ -7255,8 +7246,8 @@
 				"exit": "~0.1.2",
 				"findup-sync": "~0.3.0",
 				"glob": "~7.1.6",
-				"grunt-cli": "~1.4.2",
-				"grunt-known-options": "~1.1.1",
+				"grunt-cli": "~1.4.3",
+				"grunt-known-options": "~2.0.0",
 				"grunt-legacy-log": "~3.0.0",
 				"grunt-legacy-util": "~2.0.1",
 				"iconv-lite": "~0.4.13",
@@ -7280,12 +7271,6 @@
 						"v8flags": "~3.2.0"
 					},
 					"dependencies": {
-						"grunt-known-options": {
-							"version": "2.0.0",
-							"resolved": "https://registry.npmjs.org/grunt-known-options/-/grunt-known-options-2.0.0.tgz",
-							"integrity": "sha512-GD7cTz0I4SAede1/+pAbmJRG44zFLPipVtdL9o3vqx9IEyb7b4/Y3s7r6ofI3CchR5GvYJ+8buCSioDv5dQLiA==",
-							"dev": true
-						},
 						"nopt": {
 							"version": "4.0.3",
 							"resolved": "https://registry.npmjs.org/nopt/-/nopt-4.0.3.tgz",
@@ -7317,9 +7302,9 @@
 			}
 		},
 		"grunt-known-options": {
-			"version": "1.1.1",
-			"resolved": "https://registry.npmjs.org/grunt-known-options/-/grunt-known-options-1.1.1.tgz",
-			"integrity": "sha512-cHwsLqoighpu7TuYj5RonnEuxGVFnztcUqTqp5rXFGYL4OuPFofwC4Ycg7n9fYwvK6F5WbYgeVOwph9Crs2fsQ==",
+			"version": "2.0.0",
+			"resolved": "https://registry.npmjs.org/grunt-known-options/-/grunt-known-options-2.0.0.tgz",
+			"integrity": "sha512-GD7cTz0I4SAede1/+pAbmJRG44zFLPipVtdL9o3vqx9IEyb7b4/Y3s7r6ofI3CchR5GvYJ+8buCSioDv5dQLiA==",
 			"dev": true
 		},
 		"grunt-legacy-log": {
diff --git a/package.json b/package.json
index b1b70b6..430d01f 100644
--- a/package.json
+++ b/package.json
@@ -7,7 +7,7 @@
 	},
 	"devDependencies": {
 		"eslint-config-wikimedia": "0.20.0",
-		"grunt": "1.4.0",
+		"grunt": "1.5.3",
 		"grunt-banana-checker": "0.9.0",
 		"grunt-eslint": "23.0.0",
 		"grunt-stylelint": "0.16.0",
-- 
2.30.2

$ date
--- stdout ---
Mon May 23 18:18:26 UTC 2022

--- end ---
$ git clone file:///srv/git/mediawiki-extensions-UniversalLanguageSelector.git repo --depth=1 -b REL1_37
--- stderr ---
Cloning into 'repo'...
--- stdout ---

--- end ---
$ git config user.name libraryupgrader
--- stdout ---

--- end ---
$ git config user.email tools.libraryupgrader@tools.wmflabs.org
--- stdout ---

--- end ---
$ git submodule update --init
--- stdout ---

--- end ---
$ grr init
--- stdout ---
Installed commit-msg hook.

--- end ---
$ git show-ref refs/heads/REL1_37
--- stdout ---
202fe4b7b9be3336c2f6e19ce6e782abf938cbe9 refs/heads/REL1_37

--- end ---
$ /usr/bin/npm audit --json --legacy-peer-deps
--- stdout ---
{
  "auditReportVersion": 2,
  "vulnerabilities": {
    "grunt": {
      "name": "grunt",
      "severity": "moderate",
      "via": [
        {
          "source": 1070249,
          "name": "grunt",
          "dependency": "grunt",
          "title": "Path Traversal in Grunt",
          "url": "https://github.com/advisories/GHSA-j383-35pm-c5h4",
          "severity": "moderate",
          "range": "<1.5.2"
        }
      ],
      "effects": [],
      "range": "<1.5.2",
      "nodes": [
        "node_modules/grunt"
      ],
      "fixAvailable": {
        "name": "grunt",
        "version": "1.5.3",
        "isSemVerMajor": false
      }
    }
  },
  "metadata": {
    "vulnerabilities": {
      "info": 0,
      "low": 0,
      "moderate": 1,
      "high": 0,
      "critical": 0,
      "total": 1
    },
    "dependencies": {
      "prod": 1,
      "dev": 497,
      "optional": 0,
      "peer": 0,
      "peerOptional": 0,
      "total": 497
    }
  }
}

--- end ---
$ /usr/bin/composer install
--- stderr ---
No lock file found. Updating dependencies instead of installing from lock file. Use composer update over composer install if you do not have a lock file.
Loading composer repositories with package information
Info from https://repo.packagist.org: #StandWithUkraine
Updating dependencies
Lock file operations: 36 installs, 0 updates, 0 removals
  - Locking composer/installers (v2.1.1)
  - Locking composer/pcre (1.0.1)
  - Locking composer/semver (3.3.2)
  - Locking composer/spdx-licenses (1.5.7)
  - Locking composer/xdebug-handler (2.0.5)
  - Locking felixfbecker/advanced-json-rpc (v3.2.1)
  - Locking mediawiki/mediawiki-codesniffer (v37.0.0)
  - Locking mediawiki/mediawiki-phan-config (0.11.0)
  - Locking mediawiki/minus-x (1.1.1)
  - Locking mediawiki/phan-taint-check-plugin (3.3.2)
  - Locking microsoft/tolerant-php-parser (v0.1.1)
  - Locking netresearch/jsonmapper (v4.0.0)
  - Locking phan/phan (5.2.0)
  - Locking php-parallel-lint/php-console-color (v0.3)
  - Locking php-parallel-lint/php-console-highlighter (v0.5)
  - Locking php-parallel-lint/php-parallel-lint (v1.3.1)
  - Locking phpdocumentor/reflection-common (2.2.0)
  - Locking phpdocumentor/reflection-docblock (5.3.0)
  - Locking phpdocumentor/type-resolver (1.6.1)
  - Locking psr/container (1.1.2)
  - Locking psr/log (1.1.4)
  - Locking sabre/event (5.1.4)
  - Locking sebastian/diff (3.0.3)
  - Locking squizlabs/php_codesniffer (3.6.0)
  - Locking symfony/console (v5.4.8)
  - Locking symfony/deprecation-contracts (v2.5.1)
  - Locking symfony/polyfill-ctype (v1.25.0)
  - Locking symfony/polyfill-intl-grapheme (v1.25.0)
  - Locking symfony/polyfill-intl-normalizer (v1.25.0)
  - Locking symfony/polyfill-mbstring (v1.25.0)
  - Locking symfony/polyfill-php73 (v1.25.0)
  - Locking symfony/polyfill-php80 (v1.25.0)
  - Locking symfony/service-contracts (v2.5.1)
  - Locking symfony/string (v5.4.8)
  - Locking tysonandre/var_representation_polyfill (0.1.1)
  - Locking webmozart/assert (1.10.0)
Writing lock file
Installing dependencies from lock file (including require-dev)
Package operations: 36 installs, 0 updates, 0 removals
    0 [>---------------------------]    0 [->--------------------------]    0 [--->------------------------]  - Installing composer/installers (v2.1.1): Extracting archive
  - Installing composer/pcre (1.0.1): Extracting archive
  - Installing squizlabs/php_codesniffer (3.6.0): Extracting archive
  - Installing sebastian/diff (3.0.3): Extracting archive
  - Installing symfony/polyfill-mbstring (v1.25.0): Extracting archive
  - Installing composer/spdx-licenses (1.5.7): Extracting archive
  - Installing composer/semver (3.3.2): Extracting archive
  - Installing mediawiki/mediawiki-codesniffer (v37.0.0): Extracting archive
  - Installing tysonandre/var_representation_polyfill (0.1.1): Extracting archive
  - Installing symfony/polyfill-php80 (v1.25.0): Extracting archive
  - Installing symfony/polyfill-intl-normalizer (v1.25.0): Extracting archive
  - Installing symfony/polyfill-intl-grapheme (v1.25.0): Extracting archive
  - Installing symfony/polyfill-ctype (v1.25.0): Extracting archive
  - Installing symfony/string (v5.4.8): Extracting archive
  - Installing symfony/deprecation-contracts (v2.5.1): Extracting archive
  - Installing psr/container (1.1.2): Extracting archive
  - Installing symfony/service-contracts (v2.5.1): Extracting archive
  - Installing symfony/polyfill-php73 (v1.25.0): Extracting archive
  - Installing symfony/console (v5.4.8): Extracting archive
  - Installing sabre/event (5.1.4): Extracting archive
  - Installing netresearch/jsonmapper (v4.0.0): Extracting archive
  - Installing microsoft/tolerant-php-parser (v0.1.1): Extracting archive
  - Installing webmozart/assert (1.10.0): Extracting archive
  - Installing phpdocumentor/reflection-common (2.2.0): Extracting archive
  - Installing phpdocumentor/type-resolver (1.6.1): Extracting archive
  - Installing phpdocumentor/reflection-docblock (5.3.0): Extracting archive
  - Installing felixfbecker/advanced-json-rpc (v3.2.1): Extracting archive
  - Installing psr/log (1.1.4): Extracting archive
  - Installing composer/xdebug-handler (2.0.5): Extracting archive
  - Installing phan/phan (5.2.0): Extracting archive
  - Installing mediawiki/phan-taint-check-plugin (3.3.2): Extracting archive
  - Installing mediawiki/mediawiki-phan-config (0.11.0): Extracting archive
  - Installing mediawiki/minus-x (1.1.1): Extracting archive
  - Installing php-parallel-lint/php-console-color (v0.3): Extracting archive
  - Installing php-parallel-lint/php-console-highlighter (v0.5): Extracting archive
  - Installing php-parallel-lint/php-parallel-lint (v1.3.1): Extracting archive
  0/26 [>---------------------------]   0%
  9/26 [=========>------------------]  34%
 19/26 [====================>-------]  73%
 25/26 [==========================>-]  96%
 26/26 [============================] 100%8 package suggestions were added by new dependencies, use `composer suggest` to see details.
Generating autoload files
16 packages you are using are looking for funding.
Use the `composer fund` command to find out more!
--- stdout ---

--- end ---
$ /usr/bin/npm audit --json --legacy-peer-deps
--- stdout ---
{
  "auditReportVersion": 2,
  "vulnerabilities": {
    "grunt": {
      "name": "grunt",
      "severity": "moderate",
      "via": [
        {
          "source": 1070249,
          "name": "grunt",
          "dependency": "grunt",
          "title": "Path Traversal in Grunt",
          "url": "https://github.com/advisories/GHSA-j383-35pm-c5h4",
          "severity": "moderate",
          "range": "<1.5.2"
        }
      ],
      "effects": [],
      "range": "<1.5.2",
      "nodes": [
        "node_modules/grunt"
      ],
      "fixAvailable": {
        "name": "grunt",
        "version": "1.5.3",
        "isSemVerMajor": false
      }
    }
  },
  "metadata": {
    "vulnerabilities": {
      "info": 0,
      "low": 0,
      "moderate": 1,
      "high": 0,
      "critical": 0,
      "total": 1
    },
    "dependencies": {
      "prod": 1,
      "dev": 497,
      "optional": 0,
      "peer": 0,
      "peerOptional": 0,
      "total": 497
    }
  }
}

--- end ---
Attempting to npm audit fix
$ /usr/bin/npm audit fix --dry-run --only=dev --json --legacy-peer-deps
--- stdout ---
{
  "added": 497,
  "removed": 0,
  "changed": 0,
  "audited": 498,
  "funding": 0,
  "audit": {
    "auditReportVersion": 2,
    "vulnerabilities": {
      "grunt": {
        "name": "grunt",
        "severity": "moderate",
        "via": [
          {
            "source": 1070249,
            "name": "grunt",
            "dependency": "grunt",
            "title": "Path Traversal in Grunt",
            "url": "https://github.com/advisories/GHSA-j383-35pm-c5h4",
            "severity": "moderate",
            "range": "<1.5.2"
          }
        ],
        "effects": [],
        "range": "<1.5.2",
        "nodes": [
          "node_modules/grunt"
        ],
        "fixAvailable": {
          "name": "grunt",
          "version": "1.5.3",
          "isSemVerMajor": false
        }
      }
    },
    "metadata": {
      "vulnerabilities": {
        "info": 0,
        "low": 0,
        "moderate": 1,
        "high": 0,
        "critical": 0,
        "total": 1
      },
      "dependencies": {
        "prod": 1,
        "dev": 497,
        "optional": 0,
        "peer": 0,
        "peerOptional": 0,
        "total": 497
      }
    }
  }
}

--- end ---
{"added": 497, "removed": 0, "changed": 0, "audited": 498, "funding": 0, "audit": {"auditReportVersion": 2, "vulnerabilities": {"grunt": {"name": "grunt", "severity": "moderate", "via": [{"source": 1070249, "name": "grunt", "dependency": "grunt", "title": "Path Traversal in Grunt", "url": "https://github.com/advisories/GHSA-j383-35pm-c5h4", "severity": "moderate", "range": "<1.5.2"}], "effects": [], "range": "<1.5.2", "nodes": ["node_modules/grunt"], "fixAvailable": {"name": "grunt", "version": "1.5.3", "isSemVerMajor": false}}}, "metadata": {"vulnerabilities": {"info": 0, "low": 0, "moderate": 1, "high": 0, "critical": 0, "total": 1}, "dependencies": {"prod": 1, "dev": 497, "optional": 0, "peer": 0, "peerOptional": 0, "total": 497}}}}
{}
Upgrading n:grunt from 1.4.0 -> 1.5.3
$ /usr/bin/npm audit fix --only=dev --legacy-peer-deps
--- stdout ---

added 496 packages, and audited 497 packages in 6s

found 0 vulnerabilities

--- end ---
$ package-lock-lint package-lock.json
--- stdout ---
Checking package-lock.json

--- end ---
Verifying that tests still pass
$ /usr/bin/npm ci
--- stdout ---

added 496 packages, and audited 497 packages in 7s

found 0 vulnerabilities

--- end ---
$ /usr/bin/npm test
--- stdout ---

> test
> grunt test

Running "eslint:all" (eslint) task

/src/repo/resources/js/ext.uls.common.js
  195:56  warning  navigator.languages() is not supported in Safari 9.1  compat/compat

/src/repo/resources/js/ext.uls.displaysettings.js
  120:3  warning  Missing JSDoc @return declaration  jsdoc/require-returns

/src/repo/resources/js/ext.uls.inputsettings.js
  274:10  warning  'language' is already declared in the upper scope on line 227 column 14  no-shadow

/src/repo/resources/js/ext.uls.interface.js
   56:1  warning  This line has a length of 114. Maximum allowed is 100  max-len
   58:1  warning  This line has a length of 108. Maximum allowed is 100  max-len
  227:0  warning  The type 'ULS' is undefined                            jsdoc/no-undefined-types

✖ 6 problems (0 errors, 6 warnings)


Running "stylelint:src" (stylelint) task
>> Linted 17 files without errors

Running "banana:UniversalLanguageSelector" (banana) task
>> 2 message directories checked.

Done.

--- end ---
$ package-lock-lint package-lock.json
--- stdout ---
Checking package-lock.json

--- end ---
build: Updating grunt to 1.5.3

$ git add .
--- stdout ---

--- end ---
$ git commit -F /tmp/tmp46cnmhm3
--- stdout ---
[REL1_37 e9b81ca] build: Updating grunt to 1.5.3
 2 files changed, 18 insertions(+), 33 deletions(-)

--- end ---
$ git format-patch HEAD~1 --stdout
--- stdout ---
From e9b81caa484a3d39c6e454b6a014dff9059a6760 Mon Sep 17 00:00:00 2001
From: libraryupgrader <tools.libraryupgrader@tools.wmflabs.org>
Date: Mon, 23 May 2022 18:19:39 +0000
Subject: [PATCH] build: Updating grunt to 1.5.3

Change-Id: I632e516811ddbc2e10c76206da6f4c2cf15c946e
---
 package-lock.json | 49 ++++++++++++++++-------------------------------
 package.json      |  2 +-
 2 files changed, 18 insertions(+), 33 deletions(-)

diff --git a/package-lock.json b/package-lock.json
index dd1750c..0c49d60 100644
--- a/package-lock.json
+++ b/package-lock.json
@@ -7,7 +7,7 @@
 			"name": "UniversalLanguageSelector",
 			"devDependencies": {
 				"eslint-config-wikimedia": "0.20.0",
-				"grunt": "1.4.0",
+				"grunt": "1.5.3",
 				"grunt-banana-checker": "0.9.0",
 				"grunt-eslint": "23.0.0",
 				"grunt-stylelint": "0.16.0",
@@ -2456,9 +2456,9 @@
 			}
 		},
 		"node_modules/grunt": {
-			"version": "1.4.0",
-			"resolved": "https://registry.npmjs.org/grunt/-/grunt-1.4.0.tgz",
-			"integrity": "sha512-yRFc0GVCDu9yxqOFzpuXQ2pEdgtLDnFv5Qz54jfIcNnpJ8Z7B7P7kPkT4VMuRvm+N+QOsI8C4v/Q0DSaoj3LgQ==",
+			"version": "1.5.3",
+			"resolved": "https://registry.npmjs.org/grunt/-/grunt-1.5.3.tgz",
+			"integrity": "sha512-mKwmo4X2d8/4c/BmcOETHek675uOqw0RuA/zy12jaspWqvTp4+ZeQF1W+OTpcbncnaBsfbQJ6l0l4j+Sn/GmaQ==",
 			"dev": true,
 			"dependencies": {
 				"dateformat": "~3.0.3",
@@ -2466,8 +2466,8 @@
 				"exit": "~0.1.2",
 				"findup-sync": "~0.3.0",
 				"glob": "~7.1.6",
-				"grunt-cli": "~1.4.2",
-				"grunt-known-options": "~1.1.1",
+				"grunt-cli": "~1.4.3",
+				"grunt-known-options": "~2.0.0",
 				"grunt-legacy-log": "~3.0.0",
 				"grunt-legacy-util": "~2.0.1",
 				"iconv-lite": "~0.4.13",
@@ -2510,9 +2510,9 @@
 			}
 		},
 		"node_modules/grunt-known-options": {
-			"version": "1.1.1",
-			"resolved": "https://registry.npmjs.org/grunt-known-options/-/grunt-known-options-1.1.1.tgz",
-			"integrity": "sha512-cHwsLqoighpu7TuYj5RonnEuxGVFnztcUqTqp5rXFGYL4OuPFofwC4Ycg7n9fYwvK6F5WbYgeVOwph9Crs2fsQ==",
+			"version": "2.0.0",
+			"resolved": "https://registry.npmjs.org/grunt-known-options/-/grunt-known-options-2.0.0.tgz",
+			"integrity": "sha512-GD7cTz0I4SAede1/+pAbmJRG44zFLPipVtdL9o3vqx9IEyb7b4/Y3s7r6ofI3CchR5GvYJ+8buCSioDv5dQLiA==",
 			"dev": true,
 			"engines": {
 				"node": ">=0.10.0"
@@ -2595,15 +2595,6 @@
 				"node": ">=10"
 			}
 		},
-		"node_modules/grunt/node_modules/grunt-cli/node_modules/grunt-known-options": {
-			"version": "2.0.0",
-			"resolved": "https://registry.npmjs.org/grunt-known-options/-/grunt-known-options-2.0.0.tgz",
-			"integrity": "sha512-GD7cTz0I4SAede1/+pAbmJRG44zFLPipVtdL9o3vqx9IEyb7b4/Y3s7r6ofI3CchR5GvYJ+8buCSioDv5dQLiA==",
-			"dev": true,
-			"engines": {
-				"node": ">=0.10.0"
-			}
-		},
 		"node_modules/grunt/node_modules/grunt-cli/node_modules/nopt": {
 			"version": "4.0.3",
 			"resolved": "https://registry.npmjs.org/nopt/-/nopt-4.0.3.tgz",
@@ -7245,9 +7236,9 @@
 			}
 		},
 		"grunt": {
-			"version": "1.4.0",
-			"resolved": "https://registry.npmjs.org/grunt/-/grunt-1.4.0.tgz",
-			"integrity": "sha512-yRFc0GVCDu9yxqOFzpuXQ2pEdgtLDnFv5Qz54jfIcNnpJ8Z7B7P7kPkT4VMuRvm+N+QOsI8C4v/Q0DSaoj3LgQ==",
+			"version": "1.5.3",
+			"resolved": "https://registry.npmjs.org/grunt/-/grunt-1.5.3.tgz",
+			"integrity": "sha512-mKwmo4X2d8/4c/BmcOETHek675uOqw0RuA/zy12jaspWqvTp4+ZeQF1W+OTpcbncnaBsfbQJ6l0l4j+Sn/GmaQ==",
 			"dev": true,
 			"requires": {
 				"dateformat": "~3.0.3",
@@ -7255,8 +7246,8 @@
 				"exit": "~0.1.2",
 				"findup-sync": "~0.3.0",
 				"glob": "~7.1.6",
-				"grunt-cli": "~1.4.2",
-				"grunt-known-options": "~1.1.1",
+				"grunt-cli": "~1.4.3",
+				"grunt-known-options": "~2.0.0",
 				"grunt-legacy-log": "~3.0.0",
 				"grunt-legacy-util": "~2.0.1",
 				"iconv-lite": "~0.4.13",
@@ -7280,12 +7271,6 @@
 						"v8flags": "~3.2.0"
 					},
 					"dependencies": {
-						"grunt-known-options": {
-							"version": "2.0.0",
-							"resolved": "https://registry.npmjs.org/grunt-known-options/-/grunt-known-options-2.0.0.tgz",
-							"integrity": "sha512-GD7cTz0I4SAede1/+pAbmJRG44zFLPipVtdL9o3vqx9IEyb7b4/Y3s7r6ofI3CchR5GvYJ+8buCSioDv5dQLiA==",
-							"dev": true
-						},
 						"nopt": {
 							"version": "4.0.3",
 							"resolved": "https://registry.npmjs.org/nopt/-/nopt-4.0.3.tgz",
@@ -7317,9 +7302,9 @@
 			}
 		},
 		"grunt-known-options": {
-			"version": "1.1.1",
-			"resolved": "https://registry.npmjs.org/grunt-known-options/-/grunt-known-options-1.1.1.tgz",
-			"integrity": "sha512-cHwsLqoighpu7TuYj5RonnEuxGVFnztcUqTqp5rXFGYL4OuPFofwC4Ycg7n9fYwvK6F5WbYgeVOwph9Crs2fsQ==",
+			"version": "2.0.0",
+			"resolved": "https://registry.npmjs.org/grunt-known-options/-/grunt-known-options-2.0.0.tgz",
+			"integrity": "sha512-GD7cTz0I4SAede1/+pAbmJRG44zFLPipVtdL9o3vqx9IEyb7b4/Y3s7r6ofI3CchR5GvYJ+8buCSioDv5dQLiA==",
 			"dev": true
 		},
 		"grunt-legacy-log": {
diff --git a/package.json b/package.json
index b1b70b6..430d01f 100644
--- a/package.json
+++ b/package.json
@@ -7,7 +7,7 @@
 	},
 	"devDependencies": {
 		"eslint-config-wikimedia": "0.20.0",
-		"grunt": "1.4.0",
+		"grunt": "1.5.3",
 		"grunt-banana-checker": "0.9.0",
 		"grunt-eslint": "23.0.0",
 		"grunt-stylelint": "0.16.0",
-- 
2.30.2


--- end ---

composer dependencies

Dependencies
Development dependencies

npm dependencies

Development dependencies

Logs

Source code is licensed under the AGPL.